package com.tptj.demo.hg.excel.export.app;

import com.fanruan.api.log.LogKit;
import com.fr.general.ReportDeclareRecordType;
import com.fr.intelli.record.Focus;
import com.fr.io.collection.ExportCollection;
import com.fr.io.exporter.AppExporter;
import com.fr.io.exporter.ExcelExportType;
import com.fr.main.FineBook;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.report.core.ReportUtils;
import com.fr.report.fun.impl.AbstractExcelExportAppProvider;
import com.fr.stable.ExportConstants;
import com.fr.stable.web.SessionProvider;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-12
 **/
@EnableMetrics
public class DemoPage extends AbstractExcelExportAppProvider {
    @Override
    public String exportType() {
        return ExportConstants.TYPE_PAGE;
    }

    @Override
    @Focus(id = "com.tptj.demo.hg.excel.export.app.v10",text = "excel export app provider")
    public AppExporter<Boolean> newAppExporter(ExportCollection collection,
                                               ExcelExportType exportType,
                                               SessionProvider sessionIDInfor) {
        LogKit.info("ExcelExportApp DemoPage Is Running!");
        //分页导出产品逻辑
        FineBook book = sessionIDInfor.getOriginalObject();
        //讲产品本地的分页导出类PageExcelExporter 替换为 插件定义的SpPageExcelExporter
        AppExporter<Boolean> exporter = new SpPageExcelExporter(ReportUtils.getPaperSettingListFromWorkBook(book));
        collection.setExporter(exporter);
        collection.setRecordType(ReportDeclareRecordType.EXPORT_TYPE_EXCEL_PAGE);
        return exporter;
    }

}
