package com.tptj.demo.hg.excel.export.app;

import com.fanruan.api.log.LogKit;
import com.fr.general.ReportDeclareRecordType;
import com.fr.io.collection.ExportCollection;
import com.fr.io.exporter.AppExporter;
import com.fr.io.exporter.ExcelExportType;
import com.fr.io.exporter.ExcelExporter;
import com.fr.main.FineBook;
import com.fr.report.core.ReportUtils;
import com.fr.report.fun.impl.AbstractExcelExportAppProvider;
import com.fr.stable.ExportConstants;
import com.fr.stable.web.SessionProvider;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-04-12
 * 原样导出excel处理
 **/
public class DemoSimple extends AbstractExcelExportAppProvider {
    @Override
    public String exportType() {
        return ExportConstants.TYPE_SIMPLE;
    }

    @Override
    public AppExporter<Boolean> newAppExporter(ExportCollection collection,
                                               ExcelExportType exportType,
                                               SessionProvider sessionIDInfor) {
        LogKit.info("ExcelExportApp DemoSimple Is Running!");
        //下面是产品本身的原样导出excel的逻辑
        FineBook book = sessionIDInfor.getOriginalObject();
        AppExporter<Boolean> exporter = new ExcelExporter(ReportUtils.getPaperSettingListFromWorkBook(book));
        collection.setExporter(exporter);
        collection.setRecordType(ReportDeclareRecordType.EXPORT_TYPE_EXCEL_ORIGINAL);
        return exporter;
    }
}
